lusernet.app_0.4.3-1_i386.deb


Advertisement

Description

lusernet.app - News reader for GNUstep

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename lusernet.app_0.4.3-1_i386.deb
Package name lusernet.app
Package version 0.4.3
Package release 1
Package architecture i386
Package type deb
Category gnustep implemented-in::objc protocol::nntp role::plugin suite::gnustep
Homepage http://wiki.gnustep.org/index.php/LuserNET.app
License -
Maintainer Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Download size 130.14 KB
Installed size 537.00 KB
LuserNET is an NNTP based news reader for GNUstep.  Although it's at
an early version, it's already quite usable.  The following features
are available:
* Coloring of messages based on quoting depth.
* Background read-ahead.
* Intelligent scrolling.
* Handles multiple servers.
* Completely asynchronous.
* Good MIME conformance and handling.

Alternatives

Package Version Architecture Repository
lusernet.app_0.4.3-1_amd64.deb 0.4.3 amd64 Debian Main
lusernet.app - - -

Requires

Name Value
gnustep-back0.27 >= 0.27.0
gnustep-base-runtime >= 1.26.0
gnustep-gui-runtime >= 0.27.0
libc6 >= 2.28
libgnustep-base1.26 >= 1.26.0
libgnustep-gui0.27 >= 0.27.0
libobjc4 >= 4.6
libpantomime1.3 -

Provides

Name Value
news-reader -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package lusernet.app_0.4.3-1_i386.deb
Source Package lusernet.app

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install lusernet.app deb package:
    # sudo apt-get install lusernet.app

Files

Path
/usr/bin/LuserNET
/usr/lib/GNUstep/Applications/LuserNET.app/LuserNET
/usr/lib/GNUstep/Applications/LuserNET.app/Resources
/usr/lib/GNUstep/Applications/LuserNET.app/stamp.make
/usr/share/GNUstep/LuserNET.app/Info-gnustep.plist
/usr/share/GNUstep/LuserNET.app/News.app.tiff
/usr/share/GNUstep/LuserNET.app/Bulgarian.lproj/Localizable.strings
/usr/share/GNUstep/LuserNET.app/English.lproj/Localizable.strings
/usr/share/GNUstep/LuserNET.app/French.lproj/Localizable.strings
/usr/share/GNUstep/LuserNET.app/German.lproj/Localizable.strings
/usr/share/GNUstep/LuserNET.app/Spanish.lproj/Localizable.strings
/usr/share/GNUstep/LuserNET.app/Swedish.lproj/Localizable.strings
/usr/share/applications/LuserNET.desktop
/usr/share/doc/lusernet.app/NEWS.gz
/usr/share/doc/lusernet.app/README.gz
/usr/share/doc/lusernet.app/changelog.Debian.gz
/usr/share/doc/lusernet.app/changelog.gz
/usr/share/doc/lusernet.app/copyright
/usr/share/man/man1/LuserNET.1.gz

Changelog

2019-01-25 - Yavor Doganov <yavor@gnu.org>
lusernet.app (0.4.3-1) unstable; urgency=medium
* New upstream release.
* Remove patches applied upstream:
- missing-includes.patch;
- link-order.patch;
- modern-objc-api.patch.
* debian/patches/pantomime1.2.patch: Remove most hunks which were
applied upstream.  Retain only two which were skipped but are still
important; see #489879.  Fix memory leaks there.
* debian/patches/gcc-warnings.patch: Remove hunks applied upstream; fix
another warning.
* debian/patches/spelling-fixes.patch: New; self-explanatory.
* debian/patches/no-crypto.patch: New; don't link with libcrypto.
* debian/patches/series: Update:
* debian/menu: Delete as per current Policy requirement.
* debian/compat: Bump to 12.
* debian/control (Build-Depends): Drop imagemagick.  Replace
libpantomime1.2-dev with libpantomime-dev.  Bump debhelper requirement
to match the compat level.  Add gnustep-make >= 2.7.0-4 for proper
support for "terse" in DEB_BUILD_OPTIONS.
(Depends): Drop $(gnustep:Depends}; obsolete.
(Homepage): Set to the GNUstep wiki article.
(Vcs-Git, Vcs-Browser): Update following the migration to Salsa.
(Standards-Version): Claim compliance with 4.3.0 as of this release.
* debian/rules: Don't convert and install an .xpm icon for the menu.
Switch to modern dh; enable all hardening.  Install upstream Changes
file as NEWS as it contains user-visible changes.
* debian/watch: Switch to Savannah.
* debian/changelog: Whitespace cleanup.
* debian/copyright: Add copyright/license notice for the icon; thanks
Paul Gevers.  Update copyright years; add more copyright holders.
Switch to HTTPS; update source location.
2014-06-11 - Yavor Doganov <yavor@gnu.org>
lusernet.app (0.4.2-7) unstable; urgency=medium
* Ack NMU, thanks Colin Watson.
* debian/source/format: Switch to 3.0 (quilt).
* debian/control (Build-Depends): Remove dpatch.
(Vcs-Arch): Replace with Vcs-Git and Vcs-Browser.
(Homepage): Remove; not accessible.
(Standards-Version): Compliant with 3.9.5 as of this release.
* debian/rules: Don't include dpatch.mk.  Enable hardening.
(clean): Merge the clean-patched recipe here.
(build-arch, build-indep): New targets as required by Policy.
* debian/patches/00list:
* debian/patches/05_pantomime1.2.dpatch:
* debian/patches/07_missing-includes.dpatch:
* debian/patches/10_mark_string_as_translatable.dpatch:
* debian/patches/20_bg_translation.dpatch:
* debian/patches/30_link_order.dpatch:
* debian/patches/40_modern_objc_api.dpatch: Rename/quiltify as...
* debian/patches/series:
* debian/patches/pantomime1.2.patch:
* debian/patches/missing-includes.patch:
* debian/patches/mark-string-as-translatable.patch:
* debian/patches/bg-translation.patch:
* debian/patches/link-order.patch:
* debian/patches/modern-objc-api.patch: ...and add DEP-3 headers.
* debian/patches/gcc-warnings.patch: New (Closes: #749758).
* debian/README.source: Delete.
* debian/watch: Update for the new upstream location, even though
there's no release yet.
* debian/LuserNET.desktop: Add Keywords field.
* debian/copyright: Switch to format 1.0.
2013-06-03 - Colin Watson <cjwatson@debian.org>
lusernet.app (0.4.2-6.1) unstable; urgency=low
* Non-maintainer upload.
* debian/patches/30_link_order.dpatch: Fix link order with 'ld
--as-needed' (closes: #633556, LP: #771011).
* debian/patches/40_modern_objc_api.dpatch: Use the modern GNU Objective-C
API (closes: #633557).
2010-08-24 - Yavor Doganov <yavor@gnu.org>
lusernet.app (0.4.2-6) unstable; urgency=medium
* debian/patches/07_missing-includes.dpatch: Update to fix FTBFS with
gnustep-base/1.20.1 (Closes: #593048).
* debian/control (Standards-Version): Set to 3.9.1 (no changes needed).

See Also

Package Description
lutefisk-doc_1.0.7+dfsg-4_all.deb De novo interpretation of peptide CID spectra - documentation
lutefisk_1.0.7+dfsg-4+b1_i386.deb de novo interpretation of peptide CID spectra
lv2-c++-tools-doc_1.0.5-4_all.deb lv2-c++-tools documentation
lv2-c++-tools_1.0.5-4+b1_i386.deb library and tools for LV2 plugins
lv2-dev_1.14.0~dfsg1-2_i386.deb LV2 audio plugin specification
lv2-examples_1.14.0~dfsg1-2_i386.deb LV2 audio plugin specification (example plugins)
lv2file_0.83-1+b1_i386.deb Command-line program to apply LV2 effects to audio files
lv2proc_0.5.0-2+b1_i386.deb command line effect processor
lv2vocoder_1-5_i386.deb LV2 vocoder plugin
lv_4.51-5+b1_i386.deb Powerful Multilingual File Viewer
lvm2-dbusd_2.03.02-3_i386.deb LVM2 D-Bus daemon
lvm2-lockd_2.03.02-3_i386.deb LVM locking daemon
lvm2_2.03.02-3_i386.deb Linux Logical Volume Manager
lvtk-dev_1.2.0~dfsg0-2+b2_i386.deb LV2 C++ wrappers and utilities
lvtk-doc_1.2.0~dfsg0-2_all.deb LV2 Toolkit documentation
Advertisement
Advertisement